Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package tasty
  Definition Classes
    nsc
-  package bridge
  Definition Classes
    tasty
- AnnotationOps
- ContextOps
- FlagOps
- NameOps
- SymbolOps
- TastyCore
- TreeOps
- TypeOps

t

scala.tools.nsc.tasty.bridge

# SymbolOps

###

#### trait SymbolOps extends AnyRef

This layer deals with selecting a member symbol from a type using a `TastyName`, also contains factories for making type references to symbols.

Self Type
  TastyUniverse
Source
  SymbolOps.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
TastyUniverse, TastyUniverse
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SymbolOps
2. AnyRef
3. Any

Implicitly

1. by SafeEq
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  implicit final class SymbolDecorator extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def !==(u: SymbolOps): Boolean
   Implicit
     This member is added by an implicit conversion from SymbolOps toSafeEq[SymbolOps] performed by method SafeEq in scala.tools.nsc.tasty.
   Definition Classes
     SafeEq
   Annotations
     @inline()
3.  final def ##: Int
   Definition Classes
     AnyRef → Any
4.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SymbolOps toany2stringadd[SymbolOps] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
5.  def ->[B](y: B): (SymbolOps, B)
   Implicit
     This member is added by an implicit conversion from SymbolOps toArrowAssoc[SymbolOps] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
6.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
7.  final def ===(u: SymbolOps): Boolean
   Implicit
     This member is added by an implicit conversion from SymbolOps toSafeEq[SymbolOps] performed by method SafeEq in scala.tools.nsc.tasty.
   Definition Classes
     SafeEq
   Annotations
     @inline()
8.  final def allowsOverload(sym: TastyUniverse.Symbol): Boolean
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def declaringSymbolOf(sym: TastyUniverse.Symbol): TastyUniverse.Symbol
12.  def ensuring(cond: (SymbolOps) => Boolean, msg: => Any): SymbolOps
    Implicit
      This member is added by an implicit conversion from SymbolOps toEnsuring[SymbolOps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (SymbolOps) => Boolean): SymbolOps
    Implicit
      This member is added by an implicit conversion from SymbolOps toEnsuring[SymbolOps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): SymbolOps
    Implicit
      This member is added by an implicit conversion from SymbolOps toEnsuring[SymbolOps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): SymbolOps
    Implicit
      This member is added by an implicit conversion from SymbolOps toEnsuring[SymbolOps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SymbolOps toStringFormat[SymbolOps] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def isSymbol(sym: TastyUniverse.Symbol): Boolean
    Annotations
      @inline()
24.  def namedMemberOfType(space: TastyUniverse.Type, tname: TastyName)(implicit ctx: TastyUniverse.Context): TastyUniverse.Symbol
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def noSymbol: TastyUniverse.Symbol
    Annotations
      @inline()
27.  def normalizeIfConstructor(termParamss: List[List[TastyUniverse.Symbol]], isConstructor: Boolean): List[List[TastyUniverse.Symbol]]

    if isConstructor, make sure it has one non-implicit parameter list

28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def showSig(sig: MethodSignature[ErasedTypeRef]): String
31.  def showSym(sym: TastyUniverse.Symbol): String
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (SymbolOps, B)
   Implicit
     This member is added by an implicit conversion from SymbolOps toArrowAssoc[SymbolOps] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion SafeEq fromSymbolOps to SafeEq[SymbolOps]

### Inherited by implicit conversion any2stringadd fromSymbolOps to any2stringadd[SymbolOps]

### Inherited by implicit conversion StringFormat fromSymbolOps to StringFormat[SymbolOps]

### Inherited by implicit conversion Ensuring fromSymbolOps to Ensuring[SymbolOps]

### Inherited by implicit conversion ArrowAssoc fromSymbolOps to ArrowAssoc[SymbolOps]

### Ungrouped